angular-seconds-to-date
=======================

> Filter to convert a number representing seconds to a Date object

[![npm version](https://badge.fury.io/js/angular-seconds-to-date.svg)](http://badge.fury.io/js/angular-seconds-to-date)
[![dependencies](https://david-dm.org/jviotti/angular-seconds-to-date.svg)](https://david-dm.org/jviotti/angular-seconds-to-date.svg)
[![Build Status](https://travis-ci.org/jviotti/angular-seconds-to-date.svg?branch=master)](https://travis-ci.org/jviotti/angular-seconds-to-date)

From this awesome [StackOverflow answer](http://stackoverflow.com/a/30767487/1641422).

I found this filter to be of great use when attempting to format a number of seconds to a `m[m]s[s]` format using [MomentJS](http://momentjs.com), since simply passing the time to the `moment` constructor can lead to timezone issues.

Installation
------------

Install `angular-seconds-to-date` by running:

```sh
$ npm install --save angular-seconds-to-date
```

Documentation
-------------

Add `angular-seconds-to-date` to your Angular module dependency list:

```js
var MyApp = angular.module('MyApp', [
  require('angular-seconds-to-date')
]);
```

You can then make use of the `secondsToDate` filter:

```html
{{ 180 | secondsToDate }}
```

Support
-------

If you're having any problem, please [raise an issue](https://github.com/jviotti/angular-seconds-to-date/issues/new) on GitHub and I'll be happy to help.

Tests
-----

Run the test suite by doing:

```sh
$ npm test
```

Contribute
----------

- Issue Tracker: [github.com/jviotti/angular-seconds-to-date/issues](https://github.com/jviotti/angular-seconds-to-date/issues)
- Source Code: [github.com/jviotti/angular-seconds-to-date](https://github.com/jviotti/angular-seconds-to-date)

Before submitting a PR, please make sure that you include tests, and that [jshint](http://jshint.com) runs without any warning:

```sh
$ npm run lint
```

License
-------

The project is licensed under the MIT license.
