/*
 * The MIT License
 *
 * Copyright (c) 2016 Juan Cruz Viotti. https://github.com/jviotti
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

'use strict';

var m = require('mochainon');
var angular = require('angular');
require('angular-mocks');

describe('AngularSecondsToDate', function() {

  this.timeout(false);

  beforeEach(angular.mock.module(
    require('./index')
  ));

  var secondsToDateFilter;

  beforeEach(angular.mock.inject(function(_$filter_) {
    secondsToDateFilter = _$filter_('secondsToDate');
  }));

  it('should output a Date object', function() {
    var result = secondsToDateFilter(360);
    m.chai.expect(result).to.be.an.instanceof(Date);
  });

  it('should be the lowest possible date', function() {
    var result = secondsToDateFilter(360);

    m.chai.expect(result.getFullYear()).to.equal(1899);
    m.chai.expect(result.getMonth()).to.equal(11);
    m.chai.expect(result.getDay()).to.equal(0);
    m.chai.expect(result.getMinutes()).to.equal(6);
  });

});
