'use strict';
var webpack = require('webpack');
var path = require('path');

module.exports = {
//export default {
  watch: false,
  devtool: "source-map",
  target: 'node',
  entry: "./src/tail.es6.js",

  module: {
    preLoaders: [
      {
        test:    /\.(js|jsx|es6)$/,
        exclude: /node_modules/,
        loaders: ['eslint-loader']
      }
    ],
    loaders: [
      {
        test:    /\.(js|jsx|es6)$/,
        exclude: /node_modules/,
        loader: "babel-loader",
        query: {
          optional: [],
          stage:    1,
        },
      },
    ]
  },
  plugins: [
    new webpack.NoErrorsPlugin(),
    new webpack.optimize.UglifyJsPlugin({minimize: true}),
    new webpack.DefinePlugin({
      'process.env.NODE_ENV': '"development"'
    }),
  ],
  resolve: {
    extensions: ['', '.js', '.jsx', '.es6']
  },
  output: {
    filename: "script-compiled.js",
  }
};